org.apache.maven.scm.provider.cvslib.cvsjava.command.update

## Class CvsJavaUpdateCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.update.AbstractUpdateCommand
    - - org.apache.maven.scm.provider.cvslib.command.update.AbstractCvsUpdateCommand
      - - org.apache.maven.scm.provider.cvslib.cvsjava.command.update.CvsJavaUpdateCommand

- All Implemented Interfaces:
    Command, CvsCommand

      public class CvsJavaUpdateCommand
      extends AbstractCvsUpdateCommand

  Version:
    $Id: CvsJavaUpdateCommand.java 685548 2008-08-13 13:35:49Z vsiveton $
  Author:
    Emmanuel Venisse

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CvsJavaUpdateCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected UpdateScmResult` | `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)`
    `protected ChangeLogCommand` | `getChangeLogCommand()`

    - ### Methods inherited from class org.apache.maven.scm.provider.cvslib.command.update.AbstractCvsUpdateCommand

      `executeUpdateCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.update.AbstractUpdateCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### CvsJavaUpdateCommand

          public CvsJavaUpdateCommand()

  - ### Method Detail

    - #### executeCvsCommand

          protected UpdateScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)
                                               throws ScmException

      Specified by:
        `executeCvsCommand` in class `AbstractCvsUpdateCommand`
      Throws:
        `ScmException`

    - #### getChangeLogCommand

          protected ChangeLogCommand getChangeLogCommand()

      Specified by:
        `getChangeLogCommand` in class `AbstractUpdateCommand`

Copyright © 2003–2015. All rights reserved.